Create payroll run
curl --request POST \
--url https://app.toku.com/api/tokuApi/v1/createPayroll \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-role-type: <x-role-type>' \
--data '
{
"payrollStartDate": "2023-11-07T05:31:56Z",
"payrollEndDate": "2023-11-07T05:31:56Z",
"payrollFiatCurrency": "<string>",
"tokenTypeID": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payrollEntity": "<string>",
"payrollName": "<string>",
"payrollPayDate": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://app.toku.com/api/tokuApi/v1/createPayroll"
payload = {
"payrollStartDate": "2023-11-07T05:31:56Z",
"payrollEndDate": "2023-11-07T05:31:56Z",
"payrollFiatCurrency": "<string>",
"tokenTypeID": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payrollEntity": "<string>",
"payrollName": "<string>",
"payrollPayDate": "2023-11-07T05:31:56Z"
}
headers = {
"x-role-type": "<x-role-type>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-role-type': '<x-role-type>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
payrollStartDate: '2023-11-07T05:31:56Z',
payrollEndDate: '2023-11-07T05:31:56Z',
payrollFiatCurrency: '<string>',
tokenTypeID: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
payrollEntity: '<string>',
payrollName: '<string>',
payrollPayDate: '2023-11-07T05:31:56Z'
})
};
fetch('https://app.toku.com/api/tokuApi/v1/createPayroll', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"payroll": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"entity": "<string>",
"payPeriodStart": "2023-11-07T05:31:56Z",
"payPeriodEnd": "2023-11-07T05:31:56Z",
"payDate": "2023-11-07T05:31:56Z",
"currentStep": "<string>",
"type": "<string>",
"externalPayrollID": "<string>",
"fiatCurrency": "<string>",
"stableCoinCurrency": "<string>",
"tokenTypeID": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"exchangeRate": 123,
"isStablecoinPayrollComplete": true,
"isFiatPayrollComplete": true,
"isSyncedFromHRIS": true,
"selectedEmployeeIds": [
"<string>"
],
"importedData": {},
"processedData": {},
"settlementData": {},
"isCsvUploaded": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"createdByID": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"lastModifiedByID": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"orgID": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}Create Payroll
Creates a payroll run with the requested pay period, currency, token type, and payroll entity.
POST
/
createPayroll
Create payroll run
Authorizations
Personal API token. Create via createUserApiToken endpoint.
Headers
Role context for the request. Use CLIENT_ORG_ADMIN for most integrations.
Available options:
CLIENT_ORG_ADMIN, PAYROLL_ADMIN, FINANCE_ADMIN, TOKU_ADMIN Body
application/json
Payroll period start date
Payroll period end date
Fiat currency code for the payroll
Token type identifier
Payroll entity identifier
Optional payroll name
Scheduled payroll pay date
Response
Successful response
Show child attributes
Show child attributes
⌘I
